<!doctype html>
<html class="no-js" lang="">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>GViewer In IFrame</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" href="/apple-touch-icon.png">
    <style type="text/css" media="screen">
    html, body {
      padding: 0;
      margin: 0;
      height: 100%;
    }
    body {
      overflow: hidden;
    }
    .checkboard {
      background-position: 0px 0px, 10px 10px;
      background-size: 20px 20px;
      background-image:
        linear-gradient(45deg, #eee 25%, transparent 25%, transparent 75%, #eee 75%, #eee 100%),
        linear-gradient(45deg, #eee 25%, white 25%, white 75%, #eee 75%, #eee 100%);
    }
    #iframe-container {
      width: 100%;
      height: 100%;
    }
    #loading {
      width: 100%;
      height: 100%;
      position: fixed;
      top: 0;
      left: 0;
    }
    #progress {
      width: 48px;
      height: 48px;
      line-height: 48px;
      text-align: center;
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
    #styles {
      position: fixed;
      width: 50%;
      left: 50%;
      bottom: 48px;
      transform: translate(-50%, 0px);
      display: flex;
      justify-content: space-between;
      visibility: hidden;
    }
    #styles button {
      width: 100px;
      height: 32px;
    }
    </style>
  </head>

  <body class="checkboard">

    <div id="loading" class="checkboard">
      <div id="progress">0%</div>
    </div>

    <div id="iframe-container"></div>

    <div id="styles">
      <button id="style-1" data-style-name="流光水晶">Crystal Silver</button>
      <button id="style-2" data-style-name="墨玉青">Emerald Green</button>
      <button id="style-3" data-style-name="亮黑色">Midnight Black</button>
    </div>

  </body>
</html>
